Package: org.codehaus.groovy.runtime.m12n

## [Java] Class ExtensionModuleRegistry

- org.codehaus.groovy.runtime.m12n.ExtensionModuleRegistry

-     public class ExtensionModuleRegistry
      extends Object

  The extension method registry is responsible for collecting methods (or static methods) which are added to existing classes and may be called like regular methods.

  In previous Groovy versions, such methods could only be defined in a single class called DefaultGroovyMethods for instance methods, and DefaultGroovyStaticMethods for static methods.

  Since:
    2.0.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ExtensionModuleRegistry()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addModule(ExtensionModule module)`
    `` | `public ExtensionModule` | `getModule(String moduleName)`
    `` | `public List<ExtensionModule>` | `getModules()`
    `` | `public boolean` | `hasModule(String moduleName)`
    `` | `public void` | `removeModule(ExtensionModule module)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public ExtensionModuleRegistry()

  - ### Method Detail

    - #### public void addModule(ExtensionModule module)

    - #### public ExtensionModule getModule(String moduleName)

    - #### public List<ExtensionModule> getModules()

    - #### public boolean hasModule(String moduleName)

    - #### public void removeModule(ExtensionModule module)